FreeMat

- Main Page
- Related Pages

vtkVolumeRayCastFunction

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkVolumeRayCastFunction is a superclass for ray casting functions that can be used within a vtkVolumeRayCastMapper. This includes for example, vtkVolumeRayCastCompositeFunction, vtkVolumeRayCastMIPFunction, and vtkVolumeRayCastIsosurfaceFunction.

To create an instance of class vtkVolumeRayCastFunction, simply invoke its constructor as follows

      obj = vtkVolumeRayCastFunction

# Methods

The class vtkVolumeRayCastFunction has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVolumeRayCastFunction class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVolumeRayCastFunction = obj.NewInstance ()`
- `vtkVolumeRayCastFunction = obj.SafeDownCast (vtkObject o)`
- `float = obj.GetZeroOpacityThreshold (vtkVolume vol)` - Get the value below which all scalar values are considered to have 0 opacity.